#
# spec file for package python3-QtPy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-QtPy
Version:        1.1.2
Release:        1.2
License:        MIT
Summary:        Abstraction layer on top of Qt bindings
Url:            https://github.com/spyder-ide/qtpy
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/Q/QtPy/QtPy-%{version}.tar.gz
# This will be included in the tarball in the next release.  It can be removed then.
Source1:        LICENSE.txt
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5
Requires:       python3-qt5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
QtPy (pronounced 'cutie pie') is a small abstraction layer that lets you
write applications using a single api call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout (where
the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from
`qtpy` instead of `PyQt5`.

%prep
%setup -q -n QtPy-%{version}
cp %{SOURCE1} ./

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{python3_sitelib}/*

%changelog
* Thu Oct 13 2016 toddrme2178@gmail.com
- Initial version
